<?php

function db_use($action, $query) {

require("config.php");
#echo $dburl . ':' . $dbport. $dbuser. $dbpassword;
        mysql_connect($dburl . ':' . $dbport, $dbuser, $dbpassword)
         or die('Не получается подключиться. Проверьте имя сервера, имя пользователя и пароль!');
        mysql_select_db($dbname) or die('Ошибка входа в базу данных');
#echo " --- $query --- <br>";
		mysql_query("SET NAMES cp1251;");   
        switch ($action) {

                case 'object':

                        $result = mysql_query($query) or die('<small><b>SQL Ошибка запроса:</b><br><font color=red>'.$query.'</font></small><br>');
                        return mysql_fetch_object($result);

                        break;

                case 'array':

                        $result = mysql_query($query) or die('<small><b>SQL Ошибка запроса:</b><br><font color=red>'.$query.'</font></small><br>');
                        return mysql_fetch_array($result);

                        break;

                case 'query':
						#mysql_query("update users set pass='".md5('чпнфк6йт5')."' where id_person=109");
                        $result = mysql_query($query) or die('<small><b>SQL Ошибка запроса:</b><br><font color=red>'.$query.'</font></small><br>');
                        return $result;

                        break;

                case 'rows':

                        $result = mysql_query($query) or die('Ошипка запроса!'.$query);
                        return mysql_num_rows($result);

                        break;

        }

        mysql_close();

}

?>
